Bug 74252 - Too many inodes for tera byte filesystem
Summary: Too many inodes for tera byte filesystem
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs   
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-18 18:47 UTC by hjl
Modified: 2015-01-08 00:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 10:19:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to use 16KB per inode for big fs (433 bytes, patch)
2002-09-18 18:48 UTC, hjl
no flags Details | Diff

Description hjl 2002-09-18 18:47:35 UTC
By default, mke2fs allocates one inode for every 8KB data.
On a tera byte filesystem, it is a lot of inodes. I am
uploading a patch to change it to 16KB per inode for fs
bigger than 1TB.

Comment 1 hjl 2002-09-18 18:48:44 UTC
Created attachment 76545 [details]
A patch to use 16KB per inode for big fs

Comment 2 Florian La Roche 2002-12-02 15:03:23 UTC
Can you please submit this also for inclusion into the upstream release?

Thanks,

Florian La Roche


Comment 3 hjl 2002-12-02 17:09:50 UTC
Done

Comment 4 Florian La Roche 2003-01-14 21:16:15 UTC
Seems this is not part of release 1.32. Is this resolved with an option instead
changing the automatic defaults?

greetings,

Florian La Roche


Comment 5 Florian La Roche 2004-01-13 10:19:50 UTC
Closing here, should go into upstream releases.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.